Bug 52075 - quotaon barfs with device label with lower than root mount point
Summary: quotaon barfs with device label with lower than root mount point
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: quota   
(Show other bugs)
Version: roswell
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
Assignee: Preston Brown
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-20 10:50 UTC by Bevis King
Modified: 2005-10-31 22:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-30 18:10:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bevis King 2001-08-20 10:50:56 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.72 [en] (X11; U; Linux 2.4.2 i686)

Description of problem:
I have a file system called /vol/yakut/video - the quotaon command seems to
barf on this pathname but is ok with toplevel ones during the startup
scripts.  Other pathnames (all mounted at / level) seem to work fine, it's
just this one which is mounted three levels down the tree which it barfs
on.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Give a filesystem a name with a mount point several levels down.  The
filesystem was made with this label, and the LABEL=/vol/yakut/video is used
within the /etc/fstab with no problems for anything other than the quotaon
command.
	

Actual Results:  It barfed when called from the rc script.  Life continued.

Expected Results:  Not barfing!  Accepting longer, sub-root level mount
points within filesystem labels.

Additional info:

Comment 1 Glen Foster 2001-08-20 19:23:00 UTC
We (Red Hat) should really try to fix this before next release.

Comment 2 Bevis King 2001-08-21 09:08:15 UTC
I noticed while shutting down the machine last night that quotaoff makes exactly
the same error report.  Not a surprise really....

Comment 3 Preston Brown 2001-08-30 18:10:35 UTC
fixed in 3.01pre9-1 and later.



Note You need to log in before you can comment on or make changes to this bug.